View Issue Details

IDProjectCategoryView StatusLast Update
0004503Slicer4Core: GUIpublic2018-02-05 11:40
ReporterpinterAssigned Tojohan.andruejol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSlicer 4.9.0 
Target VersionFixed in VersionSlicer 4.9.0 
Summary0004503: Empty popup dialog and on Slicer startup with Qt5
Description

After PR https://github.com/Slicer/Slicer/pull/867 an empty popup appears after startup in Qt5 builds. @jcfr reported it on Linux, and the same thing happens on my Windows build.

TagsNo tags attached.

Relationships

related to 0004446 resolvedjcfr Opening extension manager in Qt5 build reports a lot of warnings: has no notify signal and is not constant, value updates in HTM 
has duplicate 0004505 closedjohan.andruejol After starting the application (built against Qt5), it reports a progress bar that is never closed ... 

Activities

jcfr

jcfr

2018-02-02 11:24

administrator  

hina-shah

hina-shah

2018-02-02 11:35

developer   ~0015503

Pushed a fix for the empty dialog box.

jcfr

jcfr

2018-02-02 15:04

administrator   ~0015504

Thanks to Hina, this is now fixed in r26879
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26879

pinter

pinter

2018-02-05 11:40

developer   ~0015508

Progress bar popup is gone. Thanks a lot!

Issue History

Date Modified Username Field Change
2018-01-23 11:45 pinter New Issue
2018-01-28 09:46 hina-shah Assigned To => hina-shah
2018-01-28 09:46 hina-shah Status new => assigned
2018-02-02 09:09 pinter Relationship added has duplicate 0004505
2018-02-02 09:10 pinter Relationship added related to 0004446
2018-02-02 11:19 johan.andruejol Assigned To hina-shah => johan.andruejol
2018-02-02 11:22 jcfr Description Updated View Revisions
2018-02-02 11:23 jcfr Description Updated View Revisions
2018-02-02 11:23 jcfr Description Updated View Revisions
2018-02-02 11:23 jcfr Description Updated View Revisions
2018-02-02 11:24 jcfr File Added: slicer-qt5-popup-extension.png
2018-02-02 11:24 jcfr Additional Information Updated View Revisions
2018-02-02 11:35 hina-shah Note Added: 0015503
2018-02-02 15:04 jcfr Status assigned => resolved
2018-02-02 15:04 jcfr Resolution open => fixed
2018-02-02 15:04 jcfr Fixed in Version => Slicer 4.9.0
2018-02-02 15:04 jcfr Note Added: 0015504
2018-02-05 11:40 pinter Status resolved => closed
2018-02-05 11:40 pinter Note Added: 0015508